# Introduction

This is the README for **act** ("Administrative Compatibility Tool"), which
provides a consistent interface for system administration activities across
multiple types of Unix-like operating system.

The tool is intended to simplify administrative tasks across a heterogeneous
estate, especially when performing automated updates or running under the
control of a management interface.  It is not intended to completely replace
native administrative commands for more advanced usage.

User-defined hooks can be added, which run before and after each action.

Supported operating systems:

 * Debian GNU/Linux 7 - 12 and derivatives
 * *(not yet)* ~~AlmaLinux 8 - 9~~
 * *(not yet)* ~~Rocky Linux 8 - 9~~
 * *(not yet)* ~~OpenSUSE Leap 15.4~~
 * *(not yet)* ~~CentOS 5 - 7~~
 * *(not yet)* ~~OpenBSD 7.4~~
 * *(not yet)* ~~FreeBSD 13.2-RELEASE~~

Supported tasks include package installation, updating, reinstallation, and
removal; and service listing, stopping, starting, restarting, and masking.


# Documentation

A manual page is included in this distribution ("`man act`").  Before
installation, it is in "[docs/act.8](./docs/act.8.md)".

Changes are listed in "[docs/NEWS.md](./docs/NEWS.md)".  The to-do list is "[docs/TODO.md](./docs/TODO.md)".

Developers and translators, please see "[docs/DEVELOPERS.md](./docs/DEVELOPERS.md)".


# Installation

To install the package, type "`sh ./configure`", which will generate a
Makefile for your system.  You may then type "`make`" to build everything,
and "`make install`" to install it.

See the file "[docs/INSTALL](./docs/INSTALL)" for more about the _configure_ script.

If this is not a packaged release, you will need the GNU build system tools
(`autoconf`, `aclocal`, `autopoint`, `automake`) and the `gettext`
development tools.  You can then run "`autoreconf -is`" to generate the
"`configure`" script.


# Copyright, bug reporting, and acknowledgements

Copyright (C) 2023 Andrew Wood.

License GPLv3+: GNU GPL version 3 or later <https://www.gnu.org/licenses/gpl-3.0.html>.

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the Free
Software Foundation, either version 3 of the License, or (at your option)
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
more details.

You should have received a copy of the GNU General Public License, version
3, in "[docs/COPYING](./docs/COPYING)".  If not, see
<https://www.gnu.org/licenses/gpl-3.0.html>.

Please report any bugs to **act@ivarch.com**, or use the issue tracker linked
from the **act** home page.

The **act** home page is at:

[https://www.ivarch.com/programs/act.shtml](https://www.ivarch.com/programs/act.shtml)

The latest version can always be found here.

---
